yates_setup {survival} | R Documentation

## Method for adding new models to the `yates` function.

### Description

This is a method which is called by the `yates` function, in order to setup the code to handle a particular model type. Methods for glm, coxph, and default are part of the survival package.

### Usage

    yates_setup(fit, ...)

### Arguments

`fit` | a fitted model object
`...` | optional arguments for some methods

### Details

If the predicted value should be the linear predictor, the function should return NULL. The `yates` routine has particularly efficient code for this case. Otherwise it should return a prediction function or a list of two elements containing the prediction function and a summary function. The prediction function will be passed the linear predictor as a single argument and should return a vector of predicted values.

### Note

See the vignette on population prediction for more details.

### Author(s)

Terry Therneau

### See Also

`yates`

[Package survival version 2.42-6 Index]